REALPATH(1)

NOM
realpath - Afficher le chemin résolu

SYNOPSIS
realpath [OPTION] ... FICHIER ...

DESCRIPTION

Afficher le chemin absolu du fichier après résolution ; tous les composants excepté le dernier doivent exister

-e, --canonicalize-existing
    tous les composants du chemin doivent exister

-m, --canonicalize-missing
    les composants du chemin n'ont pas besoin d'exister

-L, --logical
    résoudre les composants « .. » avant les liens symboliques

-P, --physical
    résoudre les liens symboliques lorsqu'ils sont parcourus (par défaut)

-q, --quiet
    supprimer la plupart des messages d'erreur

--relative-to=FICHIER
    afficher le chemin résolu relativement à FICHIER

--relative-base=FICHIER
    afficher les chemins de manière absolue sauf ceux descendant de FICHIER

-s, --strip, --no-symlinks
    ne pas résoudre les liens symboliques

-z, --zero
    terminer chaque ligne produite par un caractère NULL plutôt que par un changement de ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de realpath à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
readlink(1), readlink(2), realpath(3)

Documentation complète : <http://www.gnu.org/software/coreutils/realpath>
aussi disponible localement à l’aide de la commande : info '(coreutils) realpath invocation'

TRADUCTION
Cette page de manuel a été traduite et est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.